Bug 822897 - Review Request: pari-galdata - PARI/GP Computer Algebra System Galois resolvents
Review Request: pari-galdata - PARI/GP Computer Algebra System Galois resolvents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 821191
  Show dependency treegraph
 
Reported: 2012-05-18 08:57 EDT by Paul Howarth
Modified: 2014-03-24 11:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: pari-galdata-20080411-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 13:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paulo.cesar.pereira.de.andrade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2012-05-18 08:57:42 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/pari-galdata/branches/fedora/pari-galdata.spec
SRPM URL: http://www.city-fan.org/~paul/extras/pari/pari-galdata-20080411-1.src.rpm

Description:
This package contains the optional PARI package galdata, which provides
the Galois resolvents for the polgalois function, for degrees 8 through 11.
Comment 1 Paulo Andrade 2012-05-20 13:23:30 EDT
Just some comments to give other people chance to choose
to review the package and then have more comments.

This is a simpler one than
https://bugzilla.redhat.com/show_bug.cgi?id=822896
to review pari-elldata

Somewhat of the same comment about version number applies,
but just a comment. It should be ok to use the full release
date as version.

There is no documentation in the package, so, it should
be the main pari package license, but better to verify it.
Comment 2 Paul Howarth 2012-05-23 08:44:21 EDT
Based on feedback for the pari-elldata package (Bug #822896), I've updated this one to add a dist tag, ensure sane permissions using %{_fixperms} and conflict with incompatible old versions of pari.

Spec URL: http://subversion.city-fan.org/repos/cfo-repo/pari-galdata/branches/fedora/pari-galdata.spec
SRPM URL: http://www.city-fan.org/~paul/extras/pari/pari-galdata-20080411-2.src.rpm

The license is stated as being GPLv2+ on the upstream site at:
http://pari.math.u-bordeaux.fr/packages.html
Comment 3 Paulo Andrade 2012-05-31 20:21:29 EDT
Ok, to tell the truth, this is the first time I use fedora-review,
very handy, but I believe you did again write the wrong SRPM URL
link.

$ fedora-review -v -b 822897 
Processing review bug : 822897
  --> Working dir : /home/pcpa/rpmbuild/822897/
Getting .spec and .srpm Urls from bug report : 822897
  --> Spec url : http://subversion.city-fan.org/repos/cfo-repo/pari-galdata/branches/fedora/pari-galdata.spec
  --> SRPM url : http://www.city-fan.org/~paul/extras/pari/pari-galdata-20080411-2.src.rpm
Downloading .spec and .srpm files
  --> /home/pcpa/rpmbuild/822897/ : http://subversion.city-fan.org/repos/cfo-repo/pari-galdata/branches/fedora/pari-galdata.spec
  --> /home/pcpa/rpmbuild/822897/ : http://www.city-fan.org/~paul/extras/pari/pari-galdata-20080411-2.src.rpm
  --> Spec file : /home/pcpa/rpmbuild/822897/pari-galdata.spec
  --> SRPM file : /home/pcpa/rpmbuild/822897/pari-galdata-20080411-2.src.rpm
[...]
ERROR: Cannot find/open srpm: /home/pcpa/rpmbuild/822897/pari-galdata-20080411-2.src.rpm. Error: RPM Error opening Package
[...]

Otherwise, I am not sure about rules on multiple packages
owning the same base directory, e.g. it should only
own, and list explicitly %{_datadir}/pari/galdata
Comment 4 Paul Howarth 2012-06-01 08:16:25 EDT
(In reply to comment #3)
> Ok, to tell the truth, this is the first time I use fedora-review,
> very handy, but I believe you did again write the wrong SRPM URL
> link.

Indeed I did:

Spec URL: http://subversion.city-fan.org/repos/cfo-repo/pari-galdata/branches/fedora/pari-galdata.spec
SRPM URL: http://www.city-fan.org/~paul/extras/pari/pari-galdata-20080411-3.fc18.src.rpm

> Otherwise, I am not sure about rules on multiple packages
> owning the same base directory, e.g. it should only
> own, and list explicitly %{_datadir}/pari/galdata

This package cannot require pari (the owner of %{_datadir}/pari) as that would create circular build dependencies. Hence this package also owns %{_datadir}/pari so that the directory is owned if this package is installed without pari itself.

Multiple packages owning the same directory is OK by the guidelines if there is no dependency relationship between those packages:

http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function
Comment 5 Paulo Andrade 2012-06-01 21:12:58 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pari-galdata-20080411-3.fc18.src.rpm

pari-galdata.src: W: spelling-error Summary(en_US) resolvents -> re solvents, re-solvents, resolves
pari-galdata.src: W: spelling-error %description -l en_US resolvents -> re solvents, re-solvents, resolves
pari-galdata.src: W: spelling-error %description -l en_US polgalois -> megalopolis, Galois
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint pari-galdata-20080411-3.fc18.noarch.rpm

pari-galdata.noarch: W: spelling-error Summary(en_US) resolvents -> re solvents, re-solvents, resolves
pari-galdata.noarch: W: spelling-error %description -l en_US resolvents -> re solvents, re-solvents, resolves
pari-galdata.noarch: W: spelling-error %description -l en_US polgalois -> megalopolis, Galois
pari-galdata.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/pcpa/rpmbuild/822897/galdata.tgz :
  MD5SUM this package     : f9f61b2930757a785b568e5d307a7d75
  MD5SUM upstream package : f9f61b2930757a785b568e5d307a7d75
/home/pcpa/rpmbuild/822897/galdata.tgz.asc :
  MD5SUM this package     : c2d0b0aa0772001e21769e676180937b
  MD5SUM upstream package : c2d0b0aa0772001e21769e676180937b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.
[!]: MUST Package requires other packages for directories it uses.

rpmlint pari-galdata-20080411-3.fc18.src.rpm

pari-galdata.src: W: spelling-error Summary(en_US) resolvents -> re solvents, re-solvents, resolves
pari-galdata.src: W: spelling-error %description -l en_US resolvents -> re solvents, re-solvents, resolves
pari-galdata.src: W: spelling-error %description -l en_US polgalois -> megalopolis, Galois
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint pari-galdata-20080411-3.fc18.noarch.rpm

pari-galdata.noarch: W: spelling-error Summary(en_US) resolvents -> re solvents, re-solvents, resolves
pari-galdata.noarch: W: spelling-error %description -l en_US resolvents -> re solvents, re-solvents, resolves
pari-galdata.noarch: W: spelling-error %description -l en_US polgalois -> megalopolis, Galois
pari-galdata.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---------------------------------------------------------------

rpmlint spelling check should be ignored, and like pari-elldata,
shared ownership of %{_datadir}/pari is justified to avoid
cyclic dependencies.

I consider the package approved.
Comment 6 Paul Howarth 2012-06-02 09:38:22 EDT
New Package SCM Request
=======================
Package Name: pari-galdata
Short Description: PARI/GP Computer Algebra System Galois resolvents
Owners: pghmcfc
Branches: f16 f17 el5 el6
Comment 7 Gwyn Ciesla 2012-06-02 13:32:45 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-02 17:01:33 EDT
pari-galdata-20080411-3.el6,pari-elldata-20120415-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pari-galdata-20080411-3.el6,pari-elldata-20120415-5.el6
Comment 9 Fedora Update System 2012-06-02 17:02:30 EDT
pari-galdata-20080411-3.fc16,pari-elldata-20120415-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pari-galdata-20080411-3.fc16,pari-elldata-20120415-5.fc16
Comment 10 Fedora Update System 2012-06-02 17:02:49 EDT
pari-galdata-20080411-3.el5.1,pari-elldata-20120415-5.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pari-galdata-20080411-3.el5.1,pari-elldata-20120415-5.el5.1
Comment 11 Fedora Update System 2012-06-02 17:03:08 EDT
pari-galdata-20080411-3.fc17,pari-elldata-20120415-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pari-galdata-20080411-3.fc17,pari-elldata-20120415-5.fc17
Comment 12 Fedora Update System 2012-06-11 20:33:03 EDT
pari-galdata-20080411-3.fc16, pari-elldata-20120415-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-06-11 20:35:59 EDT
pari-galdata-20080411-3.fc17, pari-elldata-20120415-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-19 13:00:52 EDT
pari-galdata-20080411-3.el5.1, pari-elldata-20120415-5.el5.1 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2012-06-19 13:04:01 EDT
pari-galdata-20080411-3.el6, pari-elldata-20120415-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Paul Howarth 2014-03-24 11:36:35 EDT
Paulo, would it be possible for you to review the pari-galpol package (Bug #1080062), which is used by the test suite for pari 2.7.0?

Note You need to log in before you can comment on or make changes to this bug.